const fs = require("fs");
const pth = require("path");
const BLOATING_DOMAINS = (
    fs.readFileSync(pth.join(__dirname, "bloating-domains.txt")) + ""
).split("\n");
const input = process.argv[2];
const REQUESTED_DOMAINS = JSON.parse(input);

const array_diff = REQUESTED_DOMAINS.filter(
    (v) => !BLOATING_DOMAINS.includes(v)
);

for (let i in array_diff) {
    console.log(array_diff[i]);
}
